## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOM_AttrHack Class Reference

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Attr ParentType

## Public Member Functions

- XercesDOM_AttrHack (AttrImplType *theImpl=0)
- XercesDOM_AttrHack (const ParentType &theSource)
- ~XercesDOM_AttrHack ()

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Attr XercesDOM_AttrHack::ParentType

## Constructor & Destructor Documentation

XercesDOM_AttrHack::XercesDOM_AttrHack | ( | AttrImplType * | theImpl = 0 | ) |

XercesDOM_AttrHack::XercesDOM_AttrHack | ( | const ParentType & | theSource | ) |

XercesDOM_AttrHack::~XercesDOM_AttrHack | ( |  | ) |

The documentation for this class was generated from the following file:

- XercesDOM_NodeHack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.